param(
    [Parameter(Mandatory = $true)]
    $enderecoArquivoConfiguracao,
    
    [Parameter(Mandatory = $true)]
    $suprimirConfirmacoes,

    [Parameter(Mandatory = $false)]
    $enderecoChavePublica,
    
    [Parameter(Mandatory = $false)]
    $senha,
    
    [Parameter(Mandatory = $false)]
    $referencia,

    [Parameter(Mandatory = $false)]
    $diretorioReleaseWeb
)

$ErrorActionPreference = 'Stop'

. $PSScriptRoot\executarInstalacaoFuncoes.ps1

mu.executarInstalacao -enderecoArquivoConfiguracao $enderecoArquivoConfiguracao -suprimirConfirmacoes $suprimirConfirmacoes -enderecoChavePublica $enderecoChavePublica -senha $senha -referencia $referencia -diretorioReleaseWeb $diretorioReleaseWeb